package com.ruoyi.bar.mapper;

import java.util.List;
import com.ruoyi.bar.domain.WyBarIconLog;

/**
 * 酒吧啤酒币变动记录Mapper接口
 * 
 * @author ruoyi
 * @date 2025-02-10
 */
public interface WyBarIconLogMapper 
{
    /**
     * 查询酒吧啤酒币变动记录
     * 
     * @param id 酒吧啤酒币变动记录主键
     * @return 酒吧啤酒币变动记录
     */
    public WyBarIconLog selectWyBarIconLogById(Long id);
    public Integer selectWyBarIconSum(WyBarIconLog wyBarIconLog);

    /**
     * 查询酒吧啤酒币变动记录列表
     * 
     * @param wyBarIconLog 酒吧啤酒币变动记录
     * @return 酒吧啤酒币变动记录集合
     */
    public List<WyBarIconLog> selectWyBarIconLogList(WyBarIconLog wyBarIconLog);

    /**
     * 新增酒吧啤酒币变动记录
     * 
     * @param wyBarIconLog 酒吧啤酒币变动记录
     * @return 结果
     */
    public int insertWyBarIconLog(WyBarIconLog wyBarIconLog);

    /**
     * 修改酒吧啤酒币变动记录
     * 
     * @param wyBarIconLog 酒吧啤酒币变动记录
     * @return 结果
     */
    public int updateWyBarIconLog(WyBarIconLog wyBarIconLog);

    /**
     * 删除酒吧啤酒币变动记录
     * 
     * @param id 酒吧啤酒币变动记录主键
     * @return 结果
     */
    public int deleteWyBarIconLogById(Long id);

    /**
     * 批量删除酒吧啤酒币变动记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWyBarIconLogByIds(Long[] ids);
}
